# $Revision: 1.13 $, $Date: 2012/07/08 08:05:58 $
Summary:	Tools for the NILFS filesystem
Summary(pl.UTF-8):	Narzędzia do systemu plików NILFS
Name:		nilfs-utils
Version:	2.1.4
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.nilfs.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	e72f941f5041a057a81a1ce22e03497d
URL:		http://www.nilfs.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libmount-devel
BuildRequires:	libuuid-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NILFS is a log-structured file system supporting versioning of the
entire file system and continuous snapshotting which allows users to
even restore files mistakenly overwritten or destroyed just a few
seconds ago.

This package provides utilities for NILFS.

%description -l pl.UTF-8
NILFS to system plików o strukturze logu, obsługujący wersjonowanie
całego systemu plików i ciągłe migawki, co pozwala użytkownikom
odtwarzać nawet pliki przez pomyłkę nadpisane lub zniszczone kilka
sekund wcześniej.

Ten pakiet dostarcza narzędzia do systemu plików NILFS.

%package devel
Summary:	Header files for NILFS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki NILFS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel

%description devel
Header files for NILFS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki NILFS.

%package static
Summary:	Static NILFS library
Summary(pl.UTF-8):	Statyczna biblioteka NILFS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static NILFS library.

%description static -l pl.UTF-8
Statyczna biblioteka NILFS.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-libmount
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nilfs_cleanerd.conf
%attr(755,root,root) /sbin/mkfs.nilfs2
%attr(755,root,root) /sbin/mount.nilfs2
%attr(755,root,root) /sbin/nilfs-clean
%attr(755,root,root) /sbin/nilfs-resize
%attr(755,root,root) /sbin/nilfs-tune
%attr(755,root,root) /sbin/nilfs_cleanerd
%attr(755,root,root) /sbin/umount.nilfs2
%attr(755,root,root) %{_bindir}/chcp
%attr(755,root,root) %{_bindir}/dumpseg
%attr(755,root,root) %{_bindir}/lscp
%attr(755,root,root) %{_bindir}/lssu
%attr(755,root,root) %{_bindir}/mkcp
%attr(755,root,root) %{_bindir}/rmcp
%attr(755,root,root) %{_libdir}/libnilfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnilfs.so.0
%attr(755,root,root) %{_libdir}/libnilfscleaner.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnilfscleaner.so.0
%attr(755,root,root) %{_libdir}/libnilfsgc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnilfsgc.so.0
%{_mandir}/man1/lscp.1*
%{_mandir}/man1/lssu.1*
%{_mandir}/man5/nilfs_cleanerd.conf.5*
%{_mandir}/man8/chcp.8*
%{_mandir}/man8/dumpseg.8*
%{_mandir}/man8/mkcp.8*
%{_mandir}/man8/mkfs.nilfs2.8*
%{_mandir}/man8/mount.nilfs2.8*
%{_mandir}/man8/nilfs.8*
%{_mandir}/man8/nilfs-clean.8*
%{_mandir}/man8/nilfs-resize.8*
%{_mandir}/man8/nilfs-tune.8*
%{_mandir}/man8/nilfs_cleanerd.8*
%{_mandir}/man8/rmcp.8*
%{_mandir}/man8/umount.nilfs2.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnilfs.so
%attr(755,root,root) %{_libdir}/libnilfscleaner.so
%attr(755,root,root) %{_libdir}/libnilfsgc.so
%{_libdir}/libnilfs.la
%{_libdir}/libnilfscleaner.la
%{_libdir}/libnilfsgc.la
%{_includedir}/nilfs*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libnilfs.a
%{_libdir}/libnilfscleaner.a
%{_libdir}/libnilfsgc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nilfs-utils.spec,v $
Revision 1.13  2012/07/08 08:05:58  qboosh
- updated to 2.1.4

Revision 1.12  2012/06/23 20:08:17  qboosh
- updated to 2.1.3

Revision 1.11  2012/06/05 14:57:19  qboosh
- updated to 2.1.2

Revision 1.10  2012/01/20 15:36:51  qboosh
- updated to 2.1.1

Revision 1.9  2011/11/27 08:58:49  qboosh
- updated to 2.1.0

Revision 1.8  2011/04/30 19:13:05  qboosh
- updated to 2.0.23

Revision 1.7  2011/04/20 16:14:47  qboosh
- updated to 2.0.22

Revision 1.6  2011/01/26 14:44:48  qboosh
- updated to 2.0.21

Revision 1.5  2010/11/29 06:55:55  qboosh
- config for nilfs_cleanerd.conf

Revision 1.4  2010/11/29 06:54:44  qboosh
- more verbose files
- pl desc
- separated -static

Revision 1.3  2010/11/25 21:10:47  sls
- ver. 2.0.20

Revision 1.2  2009/11/17 11:07:36  zbyniu
- BR: libuuid-devel

Revision 1.1  2009/06/29 12:24:40  adamg
- new
